Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Friends
tlp::MutableContainer< TYPE > Class Template Reference

`#include <MutableContainer.h>`

List of all members.

## Public Member Functions

- MutableContainer ()
- ~MutableContainer ()
- void setAll (const TYPE &value)
- void set (const unsigned int i, const TYPE &value)
- void add (const unsigned int i, TYPE val)
- StoredType< TYPE >
  ::ReturnedConstValue get (const unsigned int i) const
- StoredType< TYPE >::ReturnedValue get (const unsigned int i, bool &isNotDefault) const
- StoredType< TYPE >::ReturnedValue getDefault () const
- bool hasNonDefaultValue (const unsigned int i) const
- Iterator< unsigned int > * findAll (const TYPE &value, bool equal=true) const

## Friends

- class MutableContainerTest
- class GraphUpdatesRecorder

### template<typename TYPE>
class tlp::MutableContainer< TYPE >

## Constructor & Destructor Documentation

template<typename TYPE>

tlp::MutableContainer< TYPE >::MutableContainer | ( |  | ) |

template<typename TYPE>

tlp::MutableContainer< TYPE >::~MutableContainer | ( |  | ) |

## Member Function Documentation

template<typename TYPE>

void tlp::MutableContainer< TYPE >::add | ( | const unsigned int | i,
|  | TYPE | val
| ) |  |

add val to the value associated to i

template<typename TYPE>

Iterator<unsigned int>* tlp::MutableContainer< TYPE >::findAll | ( | const TYPE & | value,
|  | bool | equal = `true`
| ) |  | const

return a pointer on an iterator for all the elements whose associated value is equal to a given value or different from the default value. A null pointer is returned in case of an iteration on all the elements whose value is equal to the default value.

template<typename TYPE>

StoredType<TYPE>::ReturnedConstValue tlp::MutableContainer< TYPE >::get | ( | const unsigned int | i | ) | const

get the value associated to i

template<typename TYPE>

StoredType<TYPE>::ReturnedValue tlp::MutableContainer< TYPE >::get | ( | const unsigned int | i,
|  | bool & | isNotDefault
| ) |  | const

get the value associated to i and indicates if it is not the default one

template<typename TYPE>

StoredType<TYPE>::ReturnedValue tlp::MutableContainer< TYPE >::getDefault | ( |  | ) | const

get the default value

template<typename TYPE>

bool tlp::MutableContainer< TYPE >::hasNonDefaultValue | ( | const unsigned int | i | ) | const

return if the value associated to i is not the default one

template<typename TYPE>

void tlp::MutableContainer< TYPE >::set | ( | const unsigned int | i,
|  | const TYPE & | value
| ) |  |

set the value associated to i

template<typename TYPE>

void tlp::MutableContainer< TYPE >::setAll | ( | const TYPE & | value | ) |

set the default value

## Friends And Related Function Documentation

template<typename TYPE>

friend class GraphUpdatesRecorder`[friend]`

template<typename TYPE>

friend class MutableContainerTest`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2012